%general config
\NeedsTeXFormat{LaTeX2e}
\LoadClass[12pt,a4paper,listof=totoc]{scrbook}
\ProvidesClass{class/documentation}[2022/10/17 v0.1.0 Documentation class]


\input{class/_packages.tex}
\input{class/_config.tex}
\input{class/_titlepage.tex}


\pagestyle{scrheadings}

\ohead{\title}
%\chead{\chaptertitle}
\ihead{\chaptertitle}
\AtBeginDocument{
    \maketitle
    \clearpage
    \tableofcontents

    \clearpage
}

\AtEndDocument{
    \iftotalfigures
        \cleardoublepage
        \listoffigures
    \fi
    \iftotaltables
        \cleardoublepage
        \listoftables
    \fi
    \cleardoublepage
    \printbibliography[heading=bibintoc]
    \printnoidxglossaries
}

% biblatex is special as it does some weird things
\usepackage[style=numeric]{biblatex}
\addbibresource{citations.bib}
